#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.11.0.7
visibility:           public
id:                   lsp-test-0.11.0.7-FJPy5oi7w1k2rsYVYCj5W0
key:                  lsp-test-0.11.0.7-FJPy5oi7w1k2rsYVYCj5W0
license:              BSD-3-Clause
copyright:            2020 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:             https://github.com/bubba/lsp-test#readme
synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.Haskell.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.Haskell.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  ef2d31f793645f77b4872cfd27c69b73
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-5jHqYWwdpCqFWQLuYLRvi6:Control.Applicative.Combinators,
    Language.Haskell.LSP.Test, Language.Haskell.LSP.Test.Replay,
    Language.Haskell.LSP.Types from haskell-lsp-types-0.24.0.0-DZt8AfVxbzHIqskklUSOmU:Language.Haskell.LSP.Types,
    Language.Haskell.LSP.Types.Capabilities from haskell-lsp-types-0.24.0.0-DZt8AfVxbzHIqskklUSOmU:Language.Haskell.LSP.Types.Capabilities

hidden-modules:
    Language.Haskell.LSP.Test.Compat Language.Haskell.LSP.Test.Decoding
    Language.Haskell.LSP.Test.Exceptions
    Language.Haskell.LSP.Test.Files Language.Haskell.LSP.Test.Messages
    Language.Haskell.LSP.Test.Parsing Language.Haskell.LSP.Test.Server
    Language.Haskell.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-test-0.11.0.7
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-test-0.11.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-test-0.11.0.7
hs-libraries:         HSlsp-test-0.11.0.7-FJPy5oi7w1k2rsYVYCj5W0
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-9RfGpNLAvxQ5zHHzpVkWQa
    aeson-1.5.6.0-FCXpoR7la5e15i9FMLdjlO
    aeson-pretty-0.8.9-AbBplETF118JdnylMU5vUk
    ansi-terminal-0.11-6Gleqhns8he7GU06N3aOl3
    async-2.2.3-9JPY7l8fhbkJIfTf8ClMWi base-4.15.0.0
    bytestring-0.10.12.1 conduit-1.3.4.2-Kyx1PCqkvvlFn9EL9MSZ4a
    conduit-parse-0.2.1.0-CEKTKF2jiaK2PsxqhoS1C1 containers-0.6.4.1
    data-default-0.7.1.1-5RJjHNv19ESJeD93LU2jRn directory-1.3.6.1
    filepath-1.4.2.1 haskell-lsp-0.24.0.0-FxpuhRWRgBgIP4EkblI87g
    lens-5.0.1-HadSzQUPJ1K62n1E5u3hCC mtl-2.2.2
    parser-combinators-1.3.0-5jHqYWwdpCqFWQLuYLRvi6 process-1.6.11.0
    text-1.2.4.1 transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.14.0-4INWEfzekoJLPsSfbAftPl

haddock-interfaces:   /usr/share/doc/haskell-lsp0-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp0-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

